#pragma once

#include "Human.h"

namespace mechanics {
	class Soldier : public Human {
	public:
		Soldier(Human &generatefrom);

		virtual std::string info();

		virtual void levelUp();

		unsigned lastPaymentCheck() const;

		void lastPaymentCheck(unsigned value);

		virtual void setAnimation(Direction direction, std::string animationID, bool isLooping = true, float speed = 1);

		virtual void setDirection(Direction direction, std::string animationID);

		virtual void doAction(gge::utils::Point pnt);

		virtual void Killed(Attacker *attacker, BaseWeapon *weapon);

	private:
		unsigned mLastPaymentCheck;
	};
}
